//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules


void main(void)
{
    // Insert your main routine code here.
	
	CHAR Value = 0 ;
	CHAR Vlp_old = 0 ;
	CHAR Vlp_new = 0 ;
	CHAR Vhp = 0 ;
	PGA_1_Start(PGA_1_HIGHPOWER);
    DAC8_WriteBlind(127);
    DAC8_Start(DAC8_HIGHPOWER);
	DelSig_Start(DelSig_HIGHPOWER);
	DelSig_StartAD();
    M8C_EnableGInt;
	
	while(1)
	{
		if ( DelSig_fIsDataAvailable() )
		{
			Value = DelSig_cGetDataClearFlag();
			//Vhp = Value - Vlp_old ;
			//Value = Vhp >> 4 ;
			//Vlp_new = Vlp_old + Value ;
			//Value = Vlp_new ;
			//Value = Vhp ;
			//Value = Vlp_new - Vhp ;
			DAC8_WriteBlind(Value);
			Vlp_old = Vlp_new ;
		}
	}
}
